/*
Copyright (C) 2009 -  Claudio Salvadori
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/**
 *\file fdy.h
 *
 *\date  Created on: 30-apr-2009
 *\author  Author: Claudio Salvadori
 *\brief  This function calculates the percentage of similarity
* 		 using FDY algorithm
 */

#ifndef FDY_H_
#define FDY_H_

/**
* @param *image Pointer to the actual image
* @param size 	Image size in bytes
*
* @return Returns the percentage of similarity
*/
float fdy_cd(unsigned char *image, unsigned long size);
#endif
